## org.apache.mahout.classifier.bayes.common
Class BayesParameters

    java.lang.Object
      org.apache.mahout.common.Parameters
          org.apache.mahout.classifier.bayes.common.BayesParameters

    public class BayesParameters

extends Parameters

BayesParameter used for passing parameters to the Map/Reduce Jobs parameters include gramSize,

Constructor Summary
`BayesParameters()`
`BayesParameters(int gramSize)` Deprecated. use `BayesParameters()` and `setGramSize(int)` instead

Method Summary
`void` `setGramSize(int gramSize)`
`void` `setMinDF(int minDf)`
`void` `setMinSupport(int minSupport)`
`void` `setSkipCleanup(boolean b)`

Methods inherited from class org.apache.mahout.common.Parameters
`fromString, get, get, print, set, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BayesParameters

    public BayesParameters()

### BayesParameters

    @Deprecated
    public BayesParameters(int gramSize)

  Deprecated. use `BayesParameters()` and `setGramSize(int)` instead

  Create BayesParameters with the specified gram size

  Parameters:
    `gramSize` -

Method Detail

### setGramSize

    public void setGramSize(int gramSize)

### setMinSupport

    public void setMinSupport(int minSupport)

### setMinDF

    public void setMinDF(int minDf)

### setSkipCleanup

    public void setSkipCleanup(boolean b)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.